﻿Write-Host "Copying INI files into backup folder..." -NoNewLine 
write-host ""

# Test if the path exists
if (-not(test-path -path ini_backup)) {
    New-Item -Path ini_backup -ItemType directory
    Write-Host "Made the backup directory" -NoNewLine
}

# copy the ini's to the backup folder. 
cp *.ini .\ini_backup
cd ini_backup
$datenow = get-date -format MM_dd_yyyy__hh_mm_sstt
$filename = 'inis_'+ $datenow

# compress the ini's into an archive.
Compress-Archive -DestinationPath $filename -Path *.ini -force

# delete all these INI's
rm *.ini

# if you want to see the results you can uncomment these lines below.  Remove the #
#ls
#pause
